4 comments

Hello LK,

L> It is not working for me at all.
L>
L> Is Struts Assitant plugin compatable with IDEA 6.0?
L>
L> We might be stuck forever with older version 5.1.2 till it will be
L> fixed.

Struts Assistant is in fact bundled with 6.0. Don't use the version from
the plugin repository - use the bundled one.

--
Dmitry Jemerov
Software Developer
http://www.jetbrains.com/
"Develop with Pleasure!"


0

I noticed the error messages:

com/intellij/j2ee/j2eeDom/XmlBasedObjectsManager
java.lang.NoClassDefFoundError: com/intellij/j2ee/j2eeDom/XmlBasedObjectsManager
at anima.plugins.struts.H.projectOpened(y:86)
at com.intellij.openapi.project.impl.ProjectImpl.c(ProjectImpl.java:170)
at com.intellij.openapi.project.impl.ProjectImpl.access$200(ProjectImpl.java:156)
at com.intellij.openapi.project.impl.ProjectImpl$MyProjectManagerListener.projectOpened(ProjectImpl.java:3)
at com.intellij.openapi.project.impl.ProjectManagerImpl$1.projectOpened(ProjectManagerImpl.java:2)
at com.intellij.openapi.project.impl.ProjectManagerImpl.d(ProjectManagerImpl.java:263)
at com.intellij.openapi.project.impl.ProjectManagerImpl.openProject(ProjectManagerImpl.java:213)
at com.intellij.openapi.project.impl.ProjectManagerImpl.loadAndOpenProject(ProjectManagerImpl.java:69)
at com.intellij.ide.impl.ProjectUtil.openProject(ProjectUtil.java:55)
at com.intellij.idea.IdeaApplication.c(IdeaApplication.java:11)
at com.intellij.idea.IdeaApplication.access$400(IdeaApplication.java:7)
at com.intellij.idea.IdeaApplication$IdeStarter$2.run(IdeaApplication.java:4)
at com.intellij.openapi.application.impl.LaterInvocator$FlushQueue.run(LaterInvocator.java:23)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
at com.intellij.ide.IdeEventQueue.defaultDispatchEvent(IdeEventQueue.java:103)
at com.intellij.ide.IdeEventQueue.a(IdeEventQueue.java:15)
at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:189)
at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:269)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)

0

Hello Dmitry,

It is what I use!

I am on OS X 10.4.8 !

Please let me know if you need more information. logs.

- LK

0

I was able to fix it.

I had some leftovers from Beta version.

1. I deleted IDEA 6 folder under ~user/Application Support/
2. I deleted IDEA 6 under /Application
3. I performed fresh install


Looks like it is working now.

Thanks.

0

Please sign in to leave a comment.